{% extends 'base.html' %}
{% load static %}
{% block title %}{{ object.title }}{% endblock %}
{% block content %}
<div class="row">
    <div class="col-3 text-center text-white" style="background-color:#052c65">
        <br>
        <br>
        <img src="{% static 'forum_icon.png'%}" class="img-fluid" width="100" height="100">
        <br>
        <br>
        <h2>Forum</h2>
        <h4 class="display-6" style="font-size:20px">Forum Post Details</h4>
        <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
        <p>© Jenica e-Sports</p>
        <br>
    </div>
    <div class="col-9 text-center">
        <div class="row p-5 text-center" style="background-color:#e3e4e6">
            <h1 class="display-3" style="font-size:50px; color:#052c65">{{ object.title }}</h1>
        </div>
        <br>
        <div class="row">
            <div class="col-5" style="text-align:right">
                <h4 style="font-size:25px">By:</h4>
                <h4 style="font-size:25px">Posted On:</h4>
            </div>
            <div class="col-7" style="text-align:left">
                <h5 class="display-3" style="font-size:25px">{{ object.author.first_name }} {{ object.author.last_name }}</h5>
                <h5 class="display-3" style="font-size:25px">{{ object.formatted_date }}, {{ object.formatted_time }}</h5>
            </div>
        </div>
        <div class="row p-3">
            <h5 class="display-3" style="font-size:22px">{{ object.body }}</h5>
        </div>
        <div class="row p-3 text-start">
            <h3 style="font-size:30px; color:#052c65">Post Replies:</h3>
        </div>
        {% for reply in reply_list %}
        {% if reply.forum_post.title == object.title %}
        <div class="row p-3 text-start" style="background-color:#e3e4e6;">
            <h1 class="display-3" style="font-size:22px; color:#052c65">{{ reply.body }}</h1>
            <h1 style="font-size:20px; color:#052c65">by {{ reply.author.first_name }} {{ reply.author.last_name }}</h1>
            <h1 class="display-3" style="font-size:15px; color:#052c65">{{ reply.formatted_date }}, {{ reply.formatted_time }}</h1>
        </div>
        {% endif %}
        {% endfor %}

        <br>
        <button type="button" class="btn" style="background-color:#e3e4e6">
            <a href="/forum/forumposts/{{ object.pk }}/edit/" class="link-dark">Edit Post</a>
        </button> &nbsp; &nbsp; 
        <button type="button" class="btn" style="background-color:#052c65">
            <a href="/forum/" class="link-light">Back to Forum</a>
        </button>
    </div>
</div>

{% endblock %}